#!/bin/sh

# put {yourskin} folder in /mmc/movinand1/skins/ (create it if not exists)
# note: /mmc/movinand1 equals your FileManager root folder

# much easier for replacing svg files
# just put all the svg files you modified into the folder {yourskin}/svg/

# this script is made for create theme chm files.

# written by ilove3d, 2008 Dec. 27
# please keep author information if you modified this script

# updated for new mgs firmware Jan.02, by ilove3d
# now it does only init chm files functions

if [ ! -d /mmc/movinand1/skins ]
then
	mkdir /mmc/movinand1/skins
	exit
fi
chown 2000:233 -R /mmc/movinand1/skins
chmod 777 -R /mmc/movinand1/skins

if [ ! -d /ezxlocal/download/appwrite/setuptheme ]
then
	mkdir /ezxlocal/download/appwrite/setuptheme
fi
chown 2000:233 -R /ezxlocal/download/appwrite/setuptheme
chmod 777 -R /ezxlocal/download/appwrite/setuptheme

cd /mmc/movinand1/skins
for i in `ls -1F | grep /$`
do
	filename="${i%/}"
	chmfile="/ezxlocal/download/appwrite/setuptheme/${filename}.chm"
	if [ ! -f "$chmfile" ]
	then
		if [ -f "/mmc/movinand1/skins/${filename}/${filename}.chm" ]
		then
			cp "/mmc/movinand1/skins/${filename}/${filename}.chm" "$chmfile"
		else
			DEF_CHM_FILE=`grep "^CurrentTheme = " "/usr/data_resource/theme/ezx_theme.cfg" | awk '{ print $3 }'`
			cat $DEF_CHM_FILE | sed "s/ThemeName = .*/ThemeName = $filename/" | sed "s/Skin = .*/Skin = \/mmc\/movinand1\/skins\/$filename/" > "$chmfile"
		fi
	fi
done
